Page MenuHomeVyOS Platform

Can not configure wan load-balancing on vyos-1.2
Closed, ResolvedPublic

Description

VyOS Build:999.2016123 When defining options for the interface-health you get errors:

[edit load-balancing wan interface-health eth0.101]
vyos@vyos-1-2-tertiary# set nexthop 192.168.101.10

mkdir: cannot create directory ‘/var/run/load-balance’: Permission denied

[edit load-balancing wan interface-health eth0.101]
vyos@vyos-1-2-tertiary# ls -l /var/run/load-balance
ls: cannot access /var/run/load-balance: No such file or directory
[edit load-balancing wan interface-health eth0.101]
vyos@vyos-1-2-tertiary# ls -l /var/run
lrwxrwxrwx 1 root root 4 Dec 26 13:22 /var/run -> /run

Details

Difficulty level
Normal (likely a few hours)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

/var has different permissions between VyOS 1.1.7 and VyOS 1.2.X

VyOS 1.1.7:
vyos@test-vyos01:~$ ls -ld /var/run
drwxrwxrwt 7 root root 640 Jan 13 10:24 /var/run

VyOS 1.2 Build:999.2016123
vyos@vyos-1-2-tertiary:~$ ls -ld /var/run
lrwxrwxrwx 1 root root 4 Dec 26 13:22 /var/run -> /run
vyos@vyos-1-2-tertiary:~$ ls -ld /run
drwxr-xr-x 24 root root 900 Jan 16 14:28 /run

syncer triaged this task as Normal priority.Aug 1 2017, 4:04 AM
syncer changed the edit policy from "Task Author" to "Custom Policy".
syncer changed Difficulty level from Easy (less than an hour) to Normal (likely a few hours).
syncer set Version to -.
syncer edited subscribers, added: Active contributors, Maintainers, Community; removed: jhendryUK.
syncer added a subscriber: jhendryUK.

@jhendryUK we will need to retest this on latest builds

syncer removed syncer as the assignee of this task.Nov 3 2017, 12:30 PM
syncer added a subscriber: syncer.

This is still happening with version 999.201801111542

c-po added a subscriber: c-po.Mar 18 2018, 10:22 AM

@jhendryUK or @hsahmed can you share a full configuration for reproduction please.

dmbaturin closed this task as Resolved.May 31 2018, 12:33 AM
dmbaturin claimed this task.
dmbaturin moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.
dmbaturin added a subscriber: dmbaturin.

I've setup a minimal WLB config and it worked for me.

vyos@vyos-test# show load-balancing 
 wan {
     interface-health eth0 {
         nexthop 10.217.32.254
     }
     rule 10 {
         inbound-interface eth0.30
         interface eth0 {
         }
         source {
             address 10.45.0.0/24
         }
     }
 }
[edit]
vyos@vyos-test# ls /var/run/load-balance/
wlb.conf  wlb.out

If you can reproduce it with a different config, feel free to reopen.

zsdc added a subscriber: zsdc.Feb 13 2019, 6:02 PM

Need to reopen this task.
Version: 1.2.0-LTS.
Running configuration:

vyos@test-01# show 
 interfaces {
     ethernet eth0 {
         address 192.168.55.18/30
         duplex auto
         hw-id 08:00:27:95:bb:f6
         smp-affinity auto
         speed auto
     }
     ethernet eth1 {
         address 192.168.56.3/24
         duplex auto
         hw-id 08:00:27:8e:d6:fb
         smp-affinity auto
         speed auto
     }
     ethernet eth2 {
         duplex auto
         hw-id 08:00:27:8c:27:04
         smp-affinity auto
         speed auto
     }
     loopback lo {
     }
 }
 service {
     ssh {
     }
 }
 system {
     config-management {
         commit-revisions 100
     }
     console {
         device ttyS0 {
             speed 9600
         }
     }
     host-name test-01
     login {
         user vyos {
             authentication {
                 encrypted-password $6$7X4XbQJ2xVMZ8$NmISPmyC1f88cIfcKig01pkjePNTVeeWwULrHgich6wB0A1TH/b31Jywpsde8Mv4/B8Qa5CxFM.rlXmfOQT0Z0
                 plaintext-password ""
             }
             level admin
         }
     }
     name-server 1.1.1.1
     ntp {
         server 0.pool.ntp.org {
         }
         server 1.pool.ntp.org {
         }
         server 2.pool.ntp.org {
         }
     }
     syslog {
         global {
             facility all {
                 level info
             }
             facility protocols {
                 level debug
             }
         }
     }
     time-zone UTC
 }

And when I'm trying to configure load-balancing:

[edit]
vyos@test-01# set load-balancing wan interface-health eth1 nexthop 192.168.56.1

  mkdir: cannot create directory ‘/var/run/load-balance’: Permission denied

[edit]
vyos@test-01#

Permissions:

vyos@test-01:~$ sudo ls -ld /var/run
lrwxrwxrwx 1 root root 4 Jan 27 16:10 /var/run -> /run
vyos@test-01:~$ sudo ls -ld /run/
drwxr-xr-x 25 root root 720 Feb 13 17:54 /run/
hagbard claimed this task.Feb 14 2019, 5:51 PM
hagbard changed the task status from Open to Confirmed.Feb 14 2019, 6:34 PM
pasik added a subscriber: pasik.Feb 14 2019, 6:49 PM
zsdc added a comment.Feb 14 2019, 9:18 PM

With new package all works fine.

Dmitry reopened this task as Open.Nov 28 2019, 6:56 PM
syncer changed the task status from Open to Backport pending.Nov 28 2019, 6:59 PM
syncer added a project: VyOS 1.3 Equuleus.
hagbard closed this task as Resolved.Dec 23 2019, 3:57 PM
hagbard moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.4) board.
hagbard moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.